net.sf.jasperreports.components.sort

## Enum FilterTypeNumericOperatorsEnum

- java.lang.Object
- - java.lang.Enum<FilterTypeNumericOperatorsEnum>
  - - net.sf.jasperreports.components.sort.FilterTypeNumericOperatorsEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FilterTypeNumericOperatorsEnum>, JREnum, NamedEnum

      public enum FilterTypeNumericOperatorsEnum
      extends java.lang.Enum<FilterTypeNumericOperatorsEnum>
      implements JREnum

  Version:
    $Id: FilterTypeNumericOperatorsEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOES_NOT_EQUAL`
    `EQUALS`
    `GREATER_THAN`
    `GREATER_THAN_EQUAL_TO`
    `IS_BETWEEN`
    `IS_NOT_BETWEEN`
    `LESS_THAN`
    `LESS_THAN_EQUAL_TO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterTypeNumericOperatorsEnum` | `getByEnumConstantName(java.lang.String name)`
    `static FilterTypeNumericOperatorsEnum` | `getByName(java.lang.String name)`
    `static FilterTypeNumericOperatorsEnum` | `getByValue(byte value)`
    `static FilterTypeNumericOperatorsEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static FilterTypeNumericOperatorsEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FilterTypeNumericOperatorsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final FilterTypeNumericOperatorsEnum EQUALS

    - #### DOES_NOT_EQUAL

          public static final FilterTypeNumericOperatorsEnum DOES_NOT_EQUAL

    - #### GREATER_THAN

          public static final FilterTypeNumericOperatorsEnum GREATER_THAN

    - #### GREATER_THAN_EQUAL_TO

          public static final FilterTypeNumericOperatorsEnum GREATER_THAN_EQUAL_TO

    - #### LESS_THAN

          public static final FilterTypeNumericOperatorsEnum LESS_THAN

    - #### LESS_THAN_EQUAL_TO

          public static final FilterTypeNumericOperatorsEnum LESS_THAN_EQUAL_TO

    - #### IS_BETWEEN

          public static final FilterTypeNumericOperatorsEnum IS_BETWEEN

    - #### IS_NOT_BETWEEN

          public static final FilterTypeNumericOperatorsEnum IS_NOT_BETWEEN

  - ### Method Detail

    - #### values

          public static FilterTypeNumericOperatorsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterTypeNumericOperatorsEnum c : FilterTypeNumericOperatorsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterTypeNumericOperatorsEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static FilterTypeNumericOperatorsEnum getByName(java.lang.String name)

    - #### getByEnumConstantName

          public static FilterTypeNumericOperatorsEnum getByEnumConstantName(java.lang.String name)

    - #### getByValue

          public static FilterTypeNumericOperatorsEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static FilterTypeNumericOperatorsEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com